%define	major 1
%define	libname %mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Summary:	API in "C" for Shapefile handling
Name:		shapelib
Version:	1.3.0
Release:	%mkrel 2
License:	LGPL MIT
Group:		Sciences/Geosciences
URL:		http://shapelib.maptools.org/
Source0:	http://download.osgeo.org/%{name}/%{name}-%{version}.tar.xz
Patch0:		shapelib-1.3.0-autotools.patch
Patch1:		shapelib-1.3.0-shapelib_backports.patch
Requires:	proj >= 4.4.1
BuildRequires:	proj-devel

%description
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n	%{libname}
Summary:	API in "C" for Shapefile handling
Group:		System/Libraries
Obsoletes:	%{_lib}shapelib1 < 1.3.0

%description -n	%{libname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n	%{develname}
Summary:	API in "C" for Shapefile handling
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}shapelib-devel < 1.3.0

%description -n	%{develname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x --disable-static

%install
rm -rf %{buildroot}
%makeinstall_std
# we don't want these
find %{buildroot} -name "*.la" -delete


%clean
rm -rf %{buildroot}

%files -n %{name}
%defattr (-,root,root)
%doc README.tree web/*.html
%doc contrib/doc/shpproj.txt
%{_bindir}/*

%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/shapefil.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libshp.so

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/libshp.so.%{major}*

%changelog
* Fri Mar 13 2015 pinoc <vogtpet at gmail.com> 1.3.0-2pclos2015
- rebuild against new gdal/proj

* Thu Nov 27 2014 pinoc <vogtpet at gmail.com> 1.3.0-1pclos2014
- 1.3.0

* Wed Oct 16 2013 pinoc <vogtpet at gmail.com> 1.2.10-1pclos2013
- imported package shapelib
